# Get accounts Endpoint: GET /accounts Version: 1.0.0 Security: Api access ## Query parameters: - `withBalance` (boolean) If the account balance should be included. - `bban` (string) The Basic Bank Account Number (BBAN) used to filter accounts. Example: "12345612345678" - `iban` (string) The International Bank Account Number (IBAN) used to filter accounts. Example: "FR7612345987650123456789014" - `search` (string) Search for an account matching the phrase. - `cursor` (string) A reference to a specific page. ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU, it should only be set if this request was actively initiated by the PSU. Most operations have request limits that apply when a user is not present. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 200 fields (application/json): - `accounts` (array) List of account details. - `accounts.id` (string) Id of the account Example: "67e98aeec65145888fefa7cb935c9197" - `accounts.iban` (null,string) IBAN (International Bank Account Number) of the account Example: "FR7612345987650123456789014" - `accounts.bban` (null,string) BBAN (Basic Bank Account Number) - ISO 20022 Example: "BARC12345612345678" - `accounts.other` (object) Generic account reference. - `accounts.other.identification` (string, required) Account identification. Example: "123-1234" - `accounts.other.schemeName` (string, required) Name of the identification scheme. Example: * BBAN: Basic Bank Account Number. * BGNR: Bankgirot number. * PGNR: PlusGirot number. * giro: Giro Denmark. Example: "BGNR" - `accounts.bic` (null,string) BICFI Example: "AAAADEBBXXX" - `accounts.currency` (null,string) ISO 4217 Alpha 3 currency code. Example: "NOK" - `accounts.name` (null,string) Name of the account Example: "Usage Account" - `accounts.displayName` (null,string) Name of the account for use within online channels. Example: "My usage account" - `accounts.status` (string) Enum: "enabled", "deleted", "blocked" - `accounts.ownerName` (null,string) Name of the legal account owner. Example: "Corporation AB" - `accounts.owner` (object) - `accounts.owner.name` (null,string) Account owner name Example: "Corporation AB" - `accounts.owner.role` (null,string) Role of the party in relation to the account. Example: "owner" - `accounts.owner.postalAddress` (object) Postal address of a party. - `accounts.owner.postalAddress.country` (null,string) Country of the postal address. Example: "NO" - `accounts.owner.organisationId` (null,string) Organisation identification. Example: "699317284" - `accounts.balances` (array) Account balances - `accounts.balances.balanceAmount` (object) Amount with currency - `accounts.balances.balanceAmount.currency` (null,string) The three-letter currency code of the amount - ISO 4217 Example: "NOK" - `accounts.balances.balanceAmount.amount` (null,string) The amount value. Negative amounts are signed by minus. The decimal separator is a dot. Example: * 0 * 154 * -1.75 * 349.7 * 3632.78 Example: "3632.78" - `accounts.balances.balanceType` (string) The type of balance Enum: "closingBooked", "openingBooked", "expected", "interimAvailable", "interimBooked", "forwardAvailable", "nonInvoiced" - `accounts.balances.referenceDate` (null,string) Indicates the date of the balance Example: "2020-01-01T13:00:00.999+00:00" - `accounts.balances.lastChangeDate` (null,string) This indicates if the balance has changed, an account balance may change during one day. Example: "2020-01-01T13:00:00.999+00:00" - `_links` (object) Pagination links for navigating between pages of results. - `_links.next` (object) - `_links.next.href` (string) Url to a resource Example: "https://banking.aritma.io/api/resource?cursor=abc123" - `_links.next.verb` (string) Enum: "get", "post", "put", "delete" - `_links.previous` (object) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)